﻿using Posts.WebApi.Models.Enums;
using Posts.WebApi.Models.Requests;
using System.ComponentModel.DataAnnotations;

namespace Posts.WebApi.Models.Entities
{
    public class FileEntity
    {
        public int Id { get; set; }
        public EFileType FileType { get; set; }

        [Required]
        public string Url { get; set; }
        [Required]
        public string Name { get; set; }

        public FileEntity(FileInfoRequest request)
        {
            Id = request.Id;
            FileType = request.FileType;
            Url = request.Url;
            Name = request.Name;
        }
    }
}
