import { ActionReducer } from '@ngrx/store';
import { ProfileActionTypes } from '../actions/profile.actions';
import { getSavedState, setSavedState } from '@app/shared/helpers/local-storage.helper';

const PROFILE_STATE_KEY = 'profileState';

export function profilePersistantReducer(reducer: ActionReducer<any>): ActionReducer<any> {
    let onInit = true;
    return function (state, action) {
        let stateToSave = reducer(state, action);
        if (onInit) {
            onInit = false;
            stateToSave = Object.assign(stateToSave, getSavedState(PROFILE_STATE_KEY));
        } else if (Object.values(ProfileActionTypes).includes(action.type as ProfileActionTypes)) {
            setSavedState(stateToSave, PROFILE_STATE_KEY);
        }
        return stateToSave;
    }
}
