import { createSelector } from '@ngrx/store';
import * as fromAuthentication from '../reducers/index';
import { UserProfile } from '@app/shared/models';

export const getProfileState = createSelector(
    fromAuthentication.getAuthenticationState,
    (state: fromAuthentication.AuthenticationState) => {
        return state.profileState;
    }
);

export const getLoading = createSelector(
    getProfileState,
    (state: fromAuthentication.ProfileState) => state.loading
);

export const getRegistraionResult = createSelector(
    getProfileState,
    (state: fromAuthentication.ProfileState) => state.isRegistrationSuccessful
);

export const getLoaded = createSelector(
    getProfileState,
    (state: fromAuthentication.ProfileState) => state.loaded
);

export const getAccessToken = createSelector(
    getProfileState,
    (state: fromAuthentication.ProfileState) => state.accessToken
);

export const getExpireAt = createSelector(
    getProfileState,
    (state: fromAuthentication.ProfileState) => state.expireAt
);

export const getRefreshToken = createSelector(
    getProfileState,
    (state: fromAuthentication.ProfileState) => state.refreshToken
);

export const getUserProfile = createSelector(
    getProfileState,
    (state: fromAuthentication.ProfileState) => state.userProfile
);

export const getUserProfileId = createSelector(
    getUserProfile,
    (state: UserProfile | undefined) => 
    {
        console.log(state);
        return state ? state.id : undefined
    }
);

export const getErrorMessage = createSelector(
    getProfileState,
    (state: fromAuthentication.ProfileState) => state.errorMessage
);
