import { Injectable } from '@angular/core';
import { HttpHeaders, HttpClient } from '@angular/common/http';

import { environment } from '@environments/environment';
import { AuthenticationWebService } from './authentication-web.service';

const httpOptions = {
    headers: new HttpHeaders({
        'Content-Type': 'application/json',
    })
};

@Injectable()
export class AuthenticationRestService implements AuthenticationWebService {

    constructor(private http: HttpClient) {}

    public async login(email: string, password: string): Promise<any> {
        const user = { email: email, password: password };
        return this.http.post(environment.urlServerAddress + 'authorization/login', user, httpOptions).toPromise();
    }

    public async register(email: string, password: string, username: string, description?: string) {
        const user = { username: username, email: email, password: password, description: description };
        return this.http.post(environment.urlServerAddress + 'authorization/register', user, httpOptions).toPromise();
    }
}
