import { Injectable } from '@angular/core';
import { HttpHeaders, HttpClient } from '@angular/common/http';

import { environment } from '@environments/environment';
import { UserProfileWebService} from './user-profile-web.service';
import { Observable } from 'rxjs';
import { UserProfile } from '@app/shared/models';

const httpOptions = {
    headers: new HttpHeaders({
        'Content-Type': 'application/json',
    })
};

@Injectable()
export class UserProfileRestService implements UserProfileWebService {
    constructor(private http: HttpClient) { }

    public getUserByProfileId(profileId: number ): Observable<UserProfile>{
        return this.http.get<any>(environment.urlServerAddress + 'user/' + profileId, httpOptions);
    }
}