import { Injectable } from '@angular/core';
import { HttpHeaders, HttpClient } from '@angular/common/http';

import { environment } from '@environments/environment';

import { Observable } from 'rxjs';
import { Group } from '@app/shared/models/group';
import { map } from 'rxjs/operators';

const httpOptions = {
  headers: new HttpHeaders({
    'Content-Type': 'application/json',
  })
};

@Injectable()

export class GroupService {

    constructor(private http: HttpClient) { }
    
    public getGroups(facultyId: number): Observable<Group[]> {
    return this.http.get<Group[]>(environment.urlServerAddress + 'groups' + '?facultyId=' + facultyId,
        httpOptions).pipe(map(groupDto => {
          const result: Group[] = Array();
          if (groupDto) {
            groupDto.forEach(value => {
                  const group: Group = {
                      id: value.id,
                      title: value.title,
                      yearStart: value.yearStart,
                      facultyId: value.facultyId
                  };
                  result.push(group);
              });
          }
          return result;
      }));;
    }
}