import { Injectable } from '@angular/core';

import { HttpErrorResponse } from '@angular/common/http';
import { throwError } from 'rxjs';

@Injectable()

export class HttpErrorHandlerService {

    handleError(error: Error | HttpErrorResponse) {
        let errorMessage = 'unexpected error has occurred';
        if (error instanceof HttpErrorResponse) {
            if (error.error instanceof ErrorEvent) {
                // client-side error
                errorMessage = error.error.message;
            } else {
                // server-side error
                if (!navigator.onLine) {
                    errorMessage = 'You are offline';
                } else {
                    if (typeof (error.error) === 'string') {
                        errorMessage = error.error;
                    } else {
                        errorMessage = error.statusText;
                    }
                }
            }
            console.log(errorMessage);
        } else {
            errorMessage = 'Internal client error';
            console.log(error.message);
        }
        return throwError(errorMessage);
    }
}
