import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable()
export class SelectSharedDataService {
  private universitySource = new BehaviorSubject([0, ''] as [number, string]);
  university = this.universitySource.asObservable();

  private facultySource = new BehaviorSubject([0, ''] as [number, string]);
  faculty = this.facultySource.asObservable();

  private subjectSource = new BehaviorSubject([0, ''] as [number, string]);
  subject = this.subjectSource.asObservable();

  constructor() { }

  selectUniversity(universityShortName: string, universityId: number) {
    this.universitySource.next([universityId, universityShortName]);
  }

  selectFaculty(facultyShortName: string, facultyId: number) {
    this.facultySource.next([facultyId, facultyShortName]);
  }

  selectSubject(subjectShortName: string, subjectId: number) {
    this.subjectSource.next([subjectId, subjectShortName]);
  }

  clearFaculty() {
    this.selectFaculty('', 0);
  }

  clearSubject() {
    this.selectSubject('', 0);
  }
}
