import { Component, OnDestroy } from '@angular/core';
import { PostFull } from '@app/shared/models/post-full';
import { Store } from '@ngrx/store';
import { getPostId } from '../../model/store/selectors/post-router.selectors';
import { LoadPostStart} from '../../model/store/post.actions';
import { Observable } from 'rxjs';
import { getPost } from '../../model/store';
import { take } from 'rxjs/operators';

@Component({
  selector: 'app-post-root',
  templateUrl: './post-root.component.html',
  styleUrls: ['./post-root.component.scss']
})
export class PostRootComponent implements OnDestroy {
  public $post: Observable<PostFull | undefined>;

  constructor(private store: Store<any>) {
    this.store.select(getPostId).pipe(take(1)).subscribe(id => {
      if (id)
      {
        this.store.dispatch(new LoadPostStart(id));
      }
    });
    this.$post = this.store.select(getPost);
  }

  public ngOnDestroy() {
  }

  public goToFileClick(url: string) {
    window.open(url);
  }

}
