import { NgModule } from '@angular/core';
import { SharedModule } from '@shared/shared.module';
import { PostRoutingModule } from './post-routing.module';
import * as components from './components';
import * as store from './model/store';
import { EffectsModule } from '@ngrx/effects';
import { StoreModule } from '@ngrx/store';

@NgModule({
  declarations: [components.PostComponent, components.PostRootComponent],
  imports: [
    SharedModule,
    PostRoutingModule,
    StoreModule.forFeature('post', store.reducer),
    EffectsModule.forFeature([store.ProfileEffects]),
  ],
})
export class PostModule {}
