import { Component, OnInit } from '@angular/core';
import { PostProfile } from '@app/shared/models/post-profile';
import { Router } from '@angular/router';
import { PostService } from '@app/core/services';

const TAKE_OF_POSTS = 20;

@Component({
  selector: 'app-post-page',
  templateUrl: './post-page.component.html',
  styleUrls: ['./post-page.component.scss'],
})
export class PostPageComponent implements OnInit {
  public posts: PostProfile[] = new Array();

  constructor(private postService: PostService, public router: Router) {}

  public ngOnInit() {
    this.next();
  }

  public onScroll() {
    this.next();
  }

  private next() {
    this.postService.getUsersPosts(this.posts.length, TAKE_OF_POSTS).subscribe(result => {
      result.forEach(item => {
        this.posts.push(item);
      });
    });
  }

  public navigateToPost(postId: string): void {
    if (postId) this.router.navigate(['post/' + postId]);
  }
}
