import { Component, Input, Output, EventEmitter } from '@angular/core';

import { Faculty } from '@app/shared/models/faculty';

@Component({
  selector: 'app-faculty-card',
  templateUrl: './faculty-card.component.html',
  styleUrls: ['./faculty-card.component.scss'],
})
export class FacultyCardComponent {
  @Input() faculty: Faculty;

  @Output() selectFaculty = new EventEmitter<Faculty>();

  public onFacultySelect() {
    if (this.faculty) {
      this.selectFaculty.emit(this.faculty);
    }
  }
}
