import { Component, OnDestroy } from '@angular/core';
import { SearchState } from '@app/modules/search/model/store';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { PostByGroupSemester } from '@app/shared/models';
import * as fromPostSelectors from '../../../model/store/selectors/search-post.selectors';
import { UntilDestroy, untilDestroyed } from '@ngneat/until-destroy';

@UntilDestroy()
@Component({
  selector: 'app-post-select-root',
  templateUrl: './post-select-root.component.html',
  styleUrls: ['./post-select-root.component.scss'],
})
export class PostSelectRootComponent implements OnDestroy {
  public postCard$: Observable<PostByGroupSemester[]>;
  public loading$: Observable<boolean>;

  constructor(store: Store<SearchState>) {
    this.postCard$ = store.select(fromPostSelectors.getAllPostCards).pipe(untilDestroyed(this));

    this.loading$ = store.select(fromPostSelectors.getInitailPostLoading).pipe(untilDestroyed(this));
  }

  public ngOnDestroy() {}
}
