import { Component, Input, Output, EventEmitter } from '@angular/core';

import { University } from '@app/shared/models/university';
import { Observable } from 'rxjs';

@Component({
  selector: 'app-uni-search-content',
  templateUrl: './uni-search-content.component.html',
  styleUrls: ['./uni-search-content.component.scss'],
})
export class UniSearchContentComponent {
  @Input() universities$: Observable<University[]>;

  @Output() universitySelected = new EventEmitter<University>();
  @Output() universityScrolledDown = new EventEmitter();

  constructor() {}

  public onScroll() {
    this.universityScrolledDown.emit();
  }

  public onUniversitySelect(university: University) {
    this.universitySelected.emit(university);
  }
}
