import { Action } from '@ngrx/store';

export enum SearchBreadcrumbsActionTypes {
  PressCountry = '[SearchBreadcrumbs] Press Country',
  PressFaculty = '[SearchBreadcrumbs] Press Faculty',
  PressUniversity = '[SearchBreadcrumbs] Press University',
  PressCity = '[SearchBreadcrumbs] Press City',
  PressSubject = '[SearchBreadcrumbs] Press Subject',
}

export class PressCountry implements Action {
  readonly type = SearchBreadcrumbsActionTypes.PressCountry;
  constructor(public countryTitle: string) {}
}

export class PressFaculty implements Action {
  readonly type = SearchBreadcrumbsActionTypes.PressFaculty;
  constructor(public facultyTitle: string) {}
}

export class PressUniversity implements Action {
  readonly type = SearchBreadcrumbsActionTypes.PressUniversity;
  constructor(public universityTitle: string) {}
}

export class PressCity implements Action {
  readonly type = SearchBreadcrumbsActionTypes.PressCity;
  constructor(public cityTitle: string) {}
}

export class PressSubject implements Action {
  readonly type = SearchBreadcrumbsActionTypes.PressSubject;
  constructor(public subjectTitle: string) {}
}

export type SearchBreadcrumbsActions = PressCountry | PressFaculty | PressUniversity | PressCity | PressSubject;
