import { ActionReducerMap, createFeatureSelector, Action } from '@ngrx/store';

import * as fromCity from './search-city.reducer';
import * as fromCountry from './search-country.reducer';
import * as fromUniversity from './search-university.reducer';
import * as fromFaculty from './search-faculty.reducer';
import * as fromSubject from './search-subject.reducer';
import * as fromPost from './search-post.reducer';

export interface SearchState {
  searchCountryState: fromCountry.SearchCountryState;
  searchCityState: fromCity.SearchCityState;
  searchUniversityState: fromUniversity.SearchUniversityState;
  searchFacultyState: fromFaculty.SearchFacultyState;
  searchSubjectState: fromSubject.SearchSubjectState;
  searchPostState: fromPost.SearchPostState;
}

export const reducers: ActionReducerMap<SearchState, Action & any> = {
  searchCountryState: fromCountry.reducer,
  searchCityState: fromCity.reducer,
  searchFacultyState: fromFaculty.reducer,
  searchUniversityState: fromUniversity.reducer,
  searchSubjectState: fromSubject.reducer,
  searchPostState: fromPost.reducer,
};

export const getSearchState = createFeatureSelector<SearchState>('search');
