import { createSelector } from '@ngrx/store';
import * as fromSearch from '../reducers/index';
import * as fromCity from '../reducers/search-city.reducer';

export const getCityState = createSelector(fromSearch.getSearchState, (state: fromSearch.SearchState) => state.searchCityState);

export const getAllCities = createSelector(getCityState, (state: fromCity.SearchCityState) => state.cities);

export const getCityErrorMessage = createSelector(getCityState, (state: fromCity.SearchCityState) => state.errorMessage);

export const getCityLoaded = createSelector(getCityState, (state: fromCity.SearchCityState) => state.loaded);

export const getCityLoading = createSelector(getCityState, (state: fromCity.SearchCityState) => state.loading);

export const getSelectedCity = createSelector(getCityState, (state: fromCity.SearchCityState) => state.selectedCity);
