import { createSelector } from '@ngrx/store';
import * as fromSearch from '../reducers/index';
import * as fromCountry from '../reducers/search-country.reducer';

export const getCountryState = createSelector(fromSearch.getSearchState, (state: fromSearch.SearchState) => state.searchCountryState);

export const getAllCountries = createSelector(getCountryState, (state: fromCountry.SearchCountryState) => state.countries);

export const getCountryErrorMessage = createSelector(getCountryState, (state: fromCountry.SearchCountryState) => state.errorMessage);

export const getCountryLoaded = createSelector(getCountryState, (state: fromCountry.SearchCountryState) => state.loaded);

export const getCountryLoading = createSelector(getCountryState, (state: fromCountry.SearchCountryState) => state.loading);

export const getSelectedCountry = createSelector(getCountryState, (state: fromCountry.SearchCountryState) => state.selectedCountry);
