import * as fromSearch from '../reducers/index';
import * as fromSubject from '../reducers/search-subject.reducer';
import { createSelector } from '@ngrx/store';

export const getSubjectState = createSelector(fromSearch.getSearchState, (state: fromSearch.SearchState) => state.searchSubjectState);

export const getSelectedSubject = createSelector(getSubjectState, (state: fromSubject.SearchSubjectState) => state.selectedSubject);

export const getSubjectLoading = createSelector(getSubjectState, (state: fromSubject.SearchSubjectState) => state.loading);

export const getAllSubjects = createSelector(getSubjectState, (state: fromSubject.SearchSubjectState) => fromSubject.selectAll(state));

export const getSubjectCount = createSelector(getSubjectState, (state: fromSubject.SearchSubjectState) => state.ids.length);
