import { Injectable } from '@angular/core';
import { Faculty } from '@app/shared/models/faculty';
import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { environment } from '@environments/environment';

@Injectable()
export class FacultyService {
  constructor(private http: HttpClient) {}

  getFaculties(universityId: number, skip: number, take: number): Observable<Faculty[]> {
    return this.http.get<Faculty[]>(
      environment.urlServerAddress + 'faculties?universityId=' + universityId + '&skip=' + skip + '&take=' + take,
    );
  }
}
