import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

import { environment } from '@environments/environment';

import { PostByGroupSemester } from '@app/shared/models/post-by-group-semester';
import { Post } from '@app/shared/models';

@Injectable()
export class PostsService {
  constructor(private http: HttpClient) {}

  public getInitialPosts(subjectId: number) {
    return this.http.get<PostByGroupSemester[]>(environment.urlPostsServerAddress + 'posts/initial?subjectId=' + subjectId);
  }

  public getPosts(subjectId: number, groupId: number, semester: number, course: number, skip: number, take: number) {
    var posts = this.http.get<Post[]>(
      environment.urlPostsServerAddress +
        'posts?subjectId=' +
        subjectId +
        '&groupId=' +
        groupId +
        '&semester=' +
        semester +
        '&course=' +
        course +
        '&skip=' +
        skip +
        '&take=' +
        take,
    );
    return posts;
  }
}
