import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Subject } from '@app/shared/models/subject';
import { Observable } from 'rxjs';
import { environment } from '@environments/environment';

@Injectable()
export class SubjectWebService {
  constructor(private http: HttpClient) {}

  public getSubjects(facultyId: number, skip: number, take: number): Observable<Subject[]> {
    return this.http.get<Subject[]>(environment.urlServerAddress + 'subjects?facultyId=' + facultyId + '&skip=' + skip + '&take=' + take);
  }
}
