import { Component, OnInit } from '@angular/core';
import { SelectSharedDataService } from '@app/core/services';
import { Router } from '@angular/router';

@Component({
  selector: 'app-select-header',
  templateUrl: './select-header.component.html',
  styleUrls: ['./select-header.component.scss'],
})
export class SelectHeaderComponent implements OnInit {
  university: [number, string] = [0, ''];
  faculty: [number, string] = [0, ''];
  subject: [number, string] = [0, ''];

  constructor(private selectSharedDataService: SelectSharedDataService, private router: Router) {}

  ngOnInit() {
    if (this.router.url.includes('/select/subject')) {
      this.selectSharedDataService.university.subscribe(university => (this.university = university));
      this.selectSharedDataService.faculty.subscribe(faculty => (this.faculty = faculty));
    } else if (this.router.url.includes('/select/faculty')) {
      this.selectSharedDataService.university.subscribe(university => (this.university = university));
    } else if (this.router.url.includes('/select/post')) {
      this.selectSharedDataService.university.subscribe(university => (this.university = university));
      this.selectSharedDataService.faculty.subscribe(faculty => (this.faculty = faculty));
      this.selectSharedDataService.subject.subscribe(subject => (this.subject = subject));
    }
  }
}
