import { MatStepperModule } from '@angular/material/stepper';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatTableModule } from '@angular/material/table';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatSelectModule } from '@angular/material/select';
import { MatDividerModule } from '@angular/material/divider';
import { MatIconModule } from '@angular/material/icon';
import { MatMenuModule } from '@angular/material/menu';
import { MatCardModule } from '@angular/material/card';
import { MatInputModule } from '@angular/material/input';
import { MatTabsModule } from '@angular/material/tabs';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { LayoutModule } from '@angular/cdk/layout';

import { InfiniteScrollModule } from 'ngx-infinite-scroll';
import { CdkStepperModule } from '@angular/cdk/stepper';

import * as fromComponents from './components';

import { KeysPipe } from './pipes/keys.pipe';

import { TranslateModule } from '@ngx-translate/core';
import { ReportPostDialogComponent } from './components/popups/report-post/report-post-dialog.component';
import { DeletePostDialogComponent } from './components/popups/delete-post/delete-post-dialog.component';
import { MatButtonModule } from '@angular/material/button';
import { MatDialogModule } from '@angular/material/dialog';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatNativeDateModule } from '@angular/material/core';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';

@NgModule({
  declarations: [
    fromComponents.HeaderComponent,
    fromComponents.FooterComponent,
    fromComponents.SelectHeaderComponent,
    fromComponents.PostProfileCardComponent,
    fromComponents.UniSelectComponent,
    fromComponents.PostLocationTypeComponent,
    fromComponents.PostValueTypeComponent,
    fromComponents.PostVerificationTypeComponent,
    fromComponents.FileTypeComponent,
    fromComponents.PostFileComponent,
    fromComponents.BreadcrumbComponent,

    [KeysPipe],

    ReportPostDialogComponent,
    DeletePostDialogComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    RouterModule,
    LayoutModule,
    InfiniteScrollModule,
    CdkStepperModule,
    TranslateModule,

    MatButtonModule,
    MatCheckboxModule,
    MatTabsModule,
    MatInputModule,
    MatFormFieldModule,
    MatCardModule,
    MatIconModule,
    MatSnackBarModule,
    MatMenuModule,
    MatDividerModule,
    MatSelectModule,
    MatProgressBarModule,
    MatExpansionModule,
    MatDatepickerModule,
    MatNativeDateModule,
    MatStepperModule,
    MatAutocompleteModule,
    MatTableModule,
    MatPaginatorModule,
    MatTooltipModule,
    MatToolbarModule,
    MatDialogModule,
  ],
  exports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    RouterModule,
    LayoutModule,
    CdkStepperModule,
    InfiniteScrollModule,
    TranslateModule,

    fromComponents.HeaderComponent,
    fromComponents.FooterComponent,
    fromComponents.SelectHeaderComponent,
    fromComponents.PostProfileCardComponent,
    fromComponents.UniSelectComponent,
    fromComponents.PostLocationTypeComponent,
    fromComponents.PostValueTypeComponent,
    fromComponents.PostVerificationTypeComponent,
    fromComponents.FileTypeComponent,
    fromComponents.PostFileComponent,
    fromComponents.BreadcrumbComponent,

    MatButtonModule,
    MatCheckboxModule,
    MatTabsModule,
    MatInputModule,
    MatFormFieldModule,
    MatCardModule,
    MatIconModule,
    MatSnackBarModule,
    MatMenuModule,
    MatDividerModule,
    MatSelectModule,
    MatProgressBarModule,
    MatExpansionModule,
    MatDatepickerModule,
    MatNativeDateModule,
    MatStepperModule,
    MatAutocompleteModule,
    MatTableModule,
    MatPaginatorModule,
    MatTooltipModule,
    MatToolbarModule,
    MatProgressSpinnerModule,
    MatDialogModule,
    [KeysPipe],
  ],
})
export class SharedModule {}
