using System.Threading.Tasks;
using Uni.WebApi.DataAccess.RepositoryService.Interfaces;

namespace Uni.WebApi.DataAccess.RepositoryService
{
    public interface IUnitOfWork
    {
        ICountryRepository CountryRepository { get; }
        ICityRepository CityRepository { get; }
        IFacultyRepository FacultyRepository { get; }
        IFileRepository FileRepository { get; }
        ISubjectRepository SubjectRepository { get; }
        IUniversityRepository UniversityRepository { get; }
        IUserRepository UserRepository { get; }
        ITeacherRepository TeacherRepository { get; }
        IRefreshTokenRepository RefreshTokenRepository { get; }
        IGroupRepository GroupRepository { get; }

        Task CommitAsync();
    }
}