using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;
using Uni.WebApi.DataAccess.RepositoryService.Interfaces;
using Uni.WebApi.Kernel.Entities;

namespace Uni.WebApi.DataAccess.RepositoryService.Repositories
{
    public class GroupRepository : BaseRepository<Group>, IGroupRepository
    {
        public GroupRepository(UniDbContext dbContext) : base(dbContext) { }

        public async Task<IEnumerable<Group>> GetGroupsByFacultyAsync(int facultyId) {
            return await _dbContext.Groups
            .Where(g => g.FacultyId == facultyId)
            .OrderBy(g => g.Id)
            .ToListAsync();
        }
    }
}