using System.Linq;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;
using Uni.WebApi.DataAccess.RepositoryService.Interfaces;
using Uni.WebApi.Kernel.Entities;

namespace Uni.WebApi.DataAccess.RepositoryService.Repositories
{
    public class UserRepository : BaseRepository<User>, IUserRepository
    {
        public UserRepository(UniDbContext repositoryContext) : base(repositoryContext)
        {
        }

        public async Task<bool> IsUserExistByUsernameAsync(string username)
        {
            return await _dbContext.Users.AnyAsync(x => x.Username == username);
        }

        public async Task<User> GetUserAsync(string email, bool excludeDeleted)
        {
            var users = _dbContext.Users.Where(up => up.Email == email);
            if (excludeDeleted)
            {
                users = users.Where(x => x.DeletedAtUtc == null);
            }
            
            return await users.FirstOrDefaultAsync();
        }
    }
}