using Microsoft.EntityFrameworkCore;
using Uni.WebApi.Kernel.Entities;

namespace Uni.WebApi.DataAccess
{
    public class UniDbContext : DbContext
    {
        public DbSet<Teacher> Teachers { get; set; }
        public DbSet<User> Users { get; set; }
        public DbSet<File> Files { get; set; }
        public DbSet<University> Universities { get; set; }
        public DbSet<Faculty> Faculties { get; set; }
        public DbSet<Subject> Subjects { get; set; }
        public DbSet<City> Cities { get; set; }
        public DbSet<Country> Countries { get; set; }
        public DbSet<RoleType> RoleTypes { get; set; }
        public DbSet<Group> Groups { get; set; }
        public DbSet<FileType> FileTypes { get; set; }
        public DbSet<RefreshToken> RefreshTokens { get; set; }

        public UniDbContext(DbContextOptions<UniDbContext> options)
         : base(options)
        {
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<User>(entity =>
            {
                entity.HasIndex(e => e.Username).IsUnique();
            });
            modelBuilder.Entity<Country>(entity =>
            {
                entity.HasIndex(c => c.Title).IsUnique();
            });
        }
    }
}