using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using Uni.WebApi.Kernel.Entities.Base;

namespace Uni.WebApi.Kernel.Entities
{
    public class Subject : BaseEntity
    {
        public string Title { get; set; }
        public string Description { get; set; }
        public string Avatar { get; set; }
        public DateTime ModifiedAtUtc { get; set; }
        public DateTime? DeletedAtUtc { get; set; }

        public int FacultyId { get; set; }
        [ForeignKey(nameof(FacultyId))]
        public virtual Faculty Faculty { get; set; }

        public int TeacherId { get; set; }
        [ForeignKey(nameof(TeacherId))]
        public virtual Teacher Teacher { get; set; }
    }
}