using Microsoft.Extensions.DependencyInjection;
using Uni.WebApi.DataAccess.RepositoryService.Interfaces;
using Uni.WebApi.DataAccess.RepositoryService.Repositories;

namespace Uni.WebApi.Web.Extensions.StartupExtensions
{
    public static class RepositoryExtension
    {
        public static void AddRepositories(this IServiceCollection services)
        {
            services.AddTransient<IFacultyRepository, FacultyRepository>();
            services.AddTransient<IFileRepository, FileRepository>();
            services.AddTransient<ISubjectRepository, SubjectRepository>();
            services.AddTransient<IUniversityRepository, UniversityRepository>();
            services.AddTransient<IUserRepository, UserRepository>();
            services.AddTransient<ICountryRepository, CountryRepository>();
            services.AddTransient<ICityRepository, CityRepository>();
            services.AddTransient<ITeacherRepository, TeacherRepository>();
            services.AddTransient<IGroupRepository, GroupRepository>();
            services.AddTransient<IRefreshTokenRepository, RefreshTokenRepository>();
        }
    }
}